EndpointEvent
Date: 2016-06-25

org.osgi.service.remoteserviceadmin

## Class EndpointEvent

- java.lang.Object
- - org.osgi.service.remoteserviceadmin.EndpointEvent

-     public class EndpointEvent
      extends java.lang.Object

  An Endpoint Event.

  `EndpointEvent` objects are delivered to all registered `EndpointEventListener` services where the `EndpointDescription` properties match one of the filters specified in the `EndpointEventListener.ENDPOINT_LISTENER_SCOPE` registration properties of the Endpoint Event Listener.

  A type code is used to identify the type of event. The following event types are defined:
  - `ADDED`
  - `REMOVED`
  - `MODIFIED`
  - `MODIFIED_ENDMATCH`
  Additional event types may be defined in the future.

  Since:
    1.1
  See Also:
    `EndpointEventListener`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDED` An endpoint has been added.
    `static int` | `MODIFIED` The properties of an endpoint have been modified.
    `static int` | `MODIFIED_ENDMATCH` The properties of an endpoint have been modified and the new properties no longer match the listener's filter.
    `static int` | `REMOVED` An endpoint has been removed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointEvent(int type, EndpointDescription endpoint)` Constructs a `EndpointEvent` object from the given arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EndpointDescription` | `getEndpoint()` Return the endpoint associated with this event.
    `int` | `getType()` Return the type of this event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDED

          public static final int ADDED

      An endpoint has been added.

      This `EndpointEvent` type indicates that a new endpoint has been added. The endpoint is represented by the associated `EndpointDescription` object.
      See Also:
        Constant Field Values

    - #### REMOVED

          public static final int REMOVED

      An endpoint has been removed.

      This `EndpointEvent` type indicates that an endpoint has been removed. The endpoint is represented by the associated `EndpointDescription` object.
      See Also:
        Constant Field Values

    - #### MODIFIED

          public static final int MODIFIED

      The properties of an endpoint have been modified.

      This `EndpointEvent` type indicates that the properties of an existing endpoint have been modified. The endpoint is represented by the associated `EndpointDescription` object and its properties can be obtained via `EndpointDescription.getProperties()`. The endpoint properties still match the filters as specified in the `EndpointEventListener.ENDPOINT_LISTENER_SCOPE` filter.
      See Also:
        Constant Field Values

    - #### MODIFIED_ENDMATCH

          public static final int MODIFIED_ENDMATCH

      The properties of an endpoint have been modified and the new properties no longer match the listener's filter.

      This `EndpointEvent` type indicates that the properties of an existing endpoint have been modified and no longer match the filter. The endpoint is represented by the associated `EndpointDescription` object and its properties can be obtained via `EndpointDescription.getProperties()`. As a consequence of the modification the filters as specified in the `EndpointEventListener.ENDPOINT_LISTENER_SCOPE` do not match any more.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EndpointEvent

          public EndpointEvent(int type,
                       EndpointDescription endpoint)

      Constructs a `EndpointEvent` object from the given arguments.
      Parameters:
        `type` - The event type. See `getType()`.
        `endpoint` - The endpoint associated with the event.

  - ### Method Detail

    - #### getEndpoint

          public EndpointDescription getEndpoint()

      Return the endpoint associated with this event.
      Returns:
        The endpoint associated with the event.

    - #### getType

          public int getType()

      Return the type of this event.

      The type values are:
      - `ADDED`
      - `REMOVED`
      - `MODIFIED`
      - `MODIFIED_ENDMATCH`
      Returns:
        The type of this event.